{
  "name": "@le7el/web3_wallet",
  "version": "0.4.5",
  "description": "API to connect and interact with web3 wallets",
  "author": "LE7EL DAO",
  "license": "MPL-2.0",
  "keywords": [
    "Web3 wallet",
    "Wallet"
  ],
  "main": "dist/web3Wallet.js",
  "scripts": {
    "test": "echo \"Error: no test specified\" && exit 1",
    "build": "npx webpack build --mode=production",
    "dev-build": "npx webpack build"
  },
  "repository": {
    "type": "git",
    "url": "git+https://gitlab.com/le7el/build/web3_wallet.git"
  },
  "bugs": {
    "url": "https://gitlab.com/le7el/build/web3_wallet/issues"
  },
  "homepage": "https://gitlab.com/le7el/build/web3_wallet",
  "dependencies": {
    "@web3-onboard/coinbase": "^2.4.1",
    "@web3-onboard/core": "^2.23.0",
    "@web3-onboard/injected-wallets": "^2.11.2",
    "@web3-onboard/ledger": "^2.7.1",
    "@web3-onboard/trezor": "^2.4.6",
    "@web3-onboard/walletconnect": "^2.6.1",
    "ajv": "^8.17.1",
    "ethers": "^5.7.2",
    "ethers-decode-error": "^1.0.0"
  },
  "devDependencies": {
    "@babel/core": "^7.16.7",
    "@babel/preset-env": "^7.16.8",
    "assert": "^2.1.0",
    "babel-loader": "^8.2.3",
    "browserify-zlib": "^0.2.0",
    "buffer": "^6.0.3",
    "crypto-browserify": "^3.12.0",
    "https-browserify": "^1.0.0",
    "node-polyfill-webpack-plugin": "^2.0.0",
    "os-browserify": "^0.3.0",
    "path-browserify": "^1.0.1",
    "process": "^0.11.10",
    "stream-browserify": "^3.0.0",
    "stream-http": "^3.2.0",
    "url": "^0.11.3",
    "util": "^0.12.5",
    "vm-browserify": "^1.1.2",
    "webpack": "^5.72.0",
    "webpack-cli": "^4.10.0",
    "webpack-node-externals": "^3.0.0"
  }
}
